# -*- encoding: utf-8 -*-
# stub: ovh-provisioner 0.1.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ovh-provisioner".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Samuel Bernard".freeze]
  s.date = "2018-10-22"
  s.description = "OVH::Provisioner\n================\n\nInteract with OVH REST API, mainly targeted to manage dedicated servers and\nOVH DNS.\n\nInstallation\n------------\n\nAdd this line to your application's Gemfile:\n\n```ruby\ngem 'ovh-provisioner'\n```\n\nAnd then execute:\n\n    $ bundle\n\nOr install it yourself as:\n\n    $ gem install ovh-provisioner\n\nConfiguration\n-------------\n\nThe best way to use ovh-provisioner is to create a configuration file\n(recommended path: ~/.config/ovh-provisioner.yml) containing your keys and some\ngeneral configuration. Then, just launch it to get all commands with their\ndescription.\n\nExample:\n\n```yaml\n# All keys can be overriden with cli options\napi_url: https://eu.api.ovh.com/1.0\napp_key: XXXXXXXXXXXX\napp_secret: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX\nconsumer_key: XXXXXXXXXXXXXXXXXXXXXXXXXXXX\n\ntemplate: template_name # is be defined in OVH manager when you save a template\nuse_distrib_kernel: true\nssh-key: 'key_name_to install'\n\n# name_scheme support any variable available as attribute in\n# lib/ovh/provisioner/api_object/dedicated_server.rb\n# Along with name_domain, it is used to rename (reverse dns) servers\nname_scheme: '%{location}-%{flavor_tag}-%{server_id}.%{vrack}'\nname_domain: example.com\n\n# example of flavors, you can use any hardware parameters from\n# GET /dedicated/server/{serviceName}/specifications/hardware\n# to differentiate your flavors\nflavors:\n  EG-16S:\n    tag: eg16s\n    hardware:\n      description: 'Serveur EG-16 - E3-1230v6 - 16GB - SoftRaid 2x450GB NVMe'\n  EG-32S:\n    tag: eg32s\n    hardware:\n      description: 'Serveur EG-32 - E3-1270v6 - 32GB - SoftRaid 2x450GB NVMe'\n  EG-64S:\n    tag: eg64s\n    hardware:\n      description: 'Serveur EG-64 - E5-1650v3 - 64GB - SoftRaid 2x450GB NVMe'\n```\n\nDevelopment\n-----------\n\nAfter checking out the repo, run `bin/setup` to install dependencies. Then, run\n`rake spec` to run the tests. You can also run `bin/console` for an interactive\nprompt that will allow you to experiment.\n\nTo install this gem onto your local machine, run `bundle exec rake install`. To\nrelease a new version, update the version number in `version.rb`, and then run\n`bundle exec rake release`, which will create a git tag for the version, push\ngit commits and tags, and push the `.gem` file to\n[rubygems.org](https://rubygems.org).\n\nContributing\n------------\n\nPlease read carefully [CONTRIBUTING.md](CONTRIBUTING.md) before making a merge\nrequest.\n\nLicense and Author\n------------------\n\n- Author:: Samuel Bernard (<samuel.bernard@gmail.com>)\n\n```text\nCopyright (c) 2015-2016 Sam4Mobile, 2017-2018 Make.org\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.\n```\n".freeze
  s.email = ["samuel.bernard@gmail.com".freeze]
  s.executables = ["console".freeze, "ovh_provisioner".freeze, "setup".freeze]
  s.files = ["bin/console".freeze, "bin/ovh_provisioner".freeze, "bin/setup".freeze]
  s.homepage = "https://gitlab.com/sre-gems/ovh-provisioner".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Provision dedicated servers hosted by OVH".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.40"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3"])
    s.add_runtime_dependency(%q<celluloid>.freeze, ["~> 0.17"])
    s.add_runtime_dependency(%q<hashdiff>.freeze, ["~> 0.3"])
    s.add_runtime_dependency(%q<highline>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<ovh-rest>.freeze, ["~> 0.0.5"])
    s.add_runtime_dependency(%q<ruby-progressbar>.freeze, ["~> 1.10"])
    s.add_runtime_dependency(%q<thor>.freeze, ["~> 0.19"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 12"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.40"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3"])
    s.add_dependency(%q<celluloid>.freeze, ["~> 0.17"])
    s.add_dependency(%q<hashdiff>.freeze, ["~> 0.3"])
    s.add_dependency(%q<highline>.freeze, ["~> 2.0"])
    s.add_dependency(%q<ovh-rest>.freeze, ["~> 0.0.5"])
    s.add_dependency(%q<ruby-progressbar>.freeze, ["~> 1.10"])
    s.add_dependency(%q<thor>.freeze, ["~> 0.19"])
  end
end
